seo:
  title: >-
    GitLab's DevOps platform enables Tangram Vision's engineering team to
    succeed at remote work
  description: >-
    The start-up's developers can collaborate efficiently, handling everything
    from merge requests to code reviews, and providing a single source of the
    truth.
  ogTitle: >-
    GitLab's DevOps platform enables Tangram Vision's engineering team to
    succeed at remote work
  ogDescription: >-
    The start-up's developers can collaborate efficiently, handling everything
    from merge requests to code reviews, and providing a single source of the
    truth.
  noIndex: false
  ogImage: images/blog/hero-images/allremote.jpg
  ogUrl: https://about.gitlab.com/blog/making-remote-work-better
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/making-remote-work-better
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "GitLab's DevOps platform enables Tangram Vision's engineering team to succeed at remote work",
            "author": [{"@type":"Person","name":"Lauren Gibbons Paul"}],
            "datePublished": "2022-04-21",
          }

content:
  title: >-
    GitLab's DevOps platform enables Tangram Vision's engineering team to
    succeed at remote work
  description: >-
    The start-up's developers can collaborate efficiently, handling everything
    from merge requests to code reviews, and providing a single source of the
    truth.
  authors:
    - Lauren Gibbons Paul
  heroImage: images/blog/hero-images/allremote.jpg
  date: '2022-04-21'
  body: >


    On March 14, 2020, Tangram Vision CEO Brandon Minor flew from Colorado into
    the Bay Area to meet with COO Adam Rodnitzky. The two had just launched
    [Tangram Vision](https://www.tangramvision.com/), the company they
    co-founded to make sensors simpler for robotics, drones, and autonomous
    vehicles. Their plan was to, each month, alternate working at each other's
    location. However, that week, the Covid-19 pandemic lockdown began, forcing
    them to scrap that plan and figure out how to successfully collaborate from
    afar.


    “We didn’t see each other in person again for a very long time. That kicked
    off our remote work experience,” Minor says.


    The Tangram Vision engineering team started using GitLab's DevOps platform,
    which enabled them to work together without missing a beat. “GitLab was a
    key tool that allowed us to work really fluidly in a remote context,” says
    Minor. “Our engineering team has placed GitLab at the core of our remote
    workflow because it reinforces our values and perspectives around working
    well remotely.”


    The Tangram Vision Platform takes care of complex perception tasks like
    sensor fusion, calibration, and diagnostics built on a scalable data backend
    that allows engineers to track, optimize, and analyze every sensor in their
    fleet. Tangram Vision’s SDK includes tools for rapid sensor integration,
    multi-sensor calibration, and sensor stability, saving robotics engineers
    months of engineering time.


    ## Supporting complex collaboration


    Perception systems are notoriously hard to get up and running and then
    maintain over time because of important lower-level activities like sensor
    integration and calibration. “We make sure all the sensors' data is running
    smoothly, everything's working together perfectly to basically a
    plug-and-play level. And then we enable the developers working on top of
    that to monitor and correct their system over time,” Minor says. 


    Tangram Vision has just launched a user hub that functions as a centralized
    sensor data center. The user hub joins their multi-sensor calibration
    module, as well as a multiplexing module that maintains stream reliability
    for all connected sensors. Developers can access a starter set of perception
    development tools (Tangram Vision Platform - Basic), which will be available
    on an open-source hub. Much of the initial user feedback will come through
    and be managed within repositories hosted on GitLab, both public and
    private, Minor says.


    ## GitLab as a core for code


    The engineering team has evaluated other platforms, according to Greg
    Schafer, senior web architect. “We’ve looked around but we've been very
    turned off by them for one reason or another. We really haven't swayed in
    wanting to use GitLab as our core for code,” Schafer says. 


    The team uses GitLab to manage branches and merge requests (MRs), boosting
    efficiency and control. “We were having a bit of a struggle early on
    managing the short-term flow. It was hard to put down tasks to paper. So, I
    dove deep into GitLab to see how it could help us there. And now that's what
    we use. GitLab is my product management tool,” Minor says.


    The alternative, siphoning MRs into tools like Notion and Slack, would have
    been too cumbersome. “Having code-focused discussions in those places
    would've been very awkward vs. our current orientation of having those
    discussions in GitLab. Having that history of MRs and threads has been very
    useful,” Schafer says.


    Doing all of the code reviews in the MR itself builds a paper trail of
    documentation for the future. That means the team can look back at exactly
    when a change was introduced and find any discussion about potential
    trade-offs next to a change. This gives the engineers confidence in
    understanding the context behind a change months or years after it has been
    introduced. “It encourages team members to be able to work asynchronously,
    as that context is not held in any single individual’s head but instead
    written and made explicit,” Minor says.


    ## A host of features and options in GitLab


    For Rodnitzky, what stands out about GitLab is that it has a host of
    features and options in one place. “It’s not just hosting code and MRs and
    all those discussions and things around that, but also the [continuous
    integration/continuous delivery], having that tightly integrated is really
    helpful,” he says. For example, there are different types of reports that
    might show up on the MRs. GitLab makes it easy to reference different CI
    steps in the MRs. 


    “You're not jumping to different websites or services to do that. It’s all
    in one place, which is super helpful,” he says.


    Minor agrees, and adds, “The amount of oversight I have into every process
    going on, the transparency that gives me as a product manager to make the
    next decision has been invaluable.” 


    It’s not a stretch to say the transparency enabled by GitLab is reflected in
    Tangram Vision’s business model. “We’re transparent with our customers and
    developers,” says Minor. “There are a couple of morsels of code that will be
    private for a while, but, for the most part, the mission of the company is
    to make any engineer a computer vision engineer. To do that, a lot of
    education and openness is required. That’s already part of our culture.”
  category: DevSecOps
  tags:
    - collaboration
    - customers
    - DevOps
config:
  slug: making-remote-work-better
  featured: false
  template: BlogPost
